Subject: [http-state] Call for participation: Test harness

From: Adam Barth <[email-masked]>
Date: Wed, 5 Aug 2009 09:20:30 -0700

As we revise the draft to more closely match reality, I'd like to add
a test for each functional change we make, much like adding regression
tests in a software engineering project.  To do this, we need a
testing harness that makes adding new tests easy.  If you, or someone
you know, is so inclined, I would welcome a patch that adds a testing
harness to the repository.

What might make sense is a simple Python web server (a la
http://fragments.turtlemeat.com/pythonwebserver.php) that reads in
tests from individual files.  We could then point a user agent at the
server and see whether it passes or fails the tests.  Ideally, the
workflow for adding a new test would be as simple as adding a file
with the test case and the expected results.

Now seems like an opportune time to create such as harness because
that work can proceed in parallel with drafting a straw-man
specification.

Adam